Index: /code/branches/output/src/libraries/core/input/KeyBinderManager.cc
===================================================================
--- /code/branches/output/src/libraries/core/input/KeyBinderManager.cc	(revision 8805)
+++ /code/branches/output/src/libraries/core/input/KeyBinderManager.cc	(revision 8806)
@@ -168,5 +168,5 @@
         if (!this->bBinding_)
         {
-            COUT(0) << "Press any button/key or move a mouse/joystick axis" << std::endl;
+            orxout(message) << "Press any button/key or move a mouse/joystick axis" << endl;
             KeyDetector::getInstance().setCallback(createFunctor(&KeyBinderManager::keybindKeyPressed, this));
             InputManager::getInstance().enterState("detector");
@@ -185,9 +185,9 @@
             if (keyName == "Keys.KeyEscape")
             {
-                COUT(0) << "Keybinding aborted." << std::endl;
+                orxout(message) << "Keybinding aborted." << endl;
             }
             else
             {
-                COUT(0) << "Binding string \"" << command_ << "\" on key '" << keyName << "'" << std::endl;
+                orxout(message) << "Binding string \"" << command_ << "\" on key '" << keyName << "'" << endl;
                 this->currentBinder_->setBinding(command_, keyName, bTemporary_);
             }
Index: /code/branches/output/src/libraries/util/Sleep.cc
===================================================================
--- /code/branches/output/src/libraries/util/Sleep.cc	(revision 8805)
+++ /code/branches/output/src/libraries/util/Sleep.cc	(revision 8806)
@@ -49,5 +49,5 @@
     {
         //if (microseconds < 1000)
-        //    orxout(internal_warning) << "Warning: Windows cannot sleep less than 1ms, ignoring" << endl;
+        //    orxout(internal_warning) << "Windows cannot sleep less than 1ms, ignoring" << endl;
         Sleep(microseconds / 1000);
     }
Index: /code/branches/output/src/libraries/util/SubString.cc
===================================================================
--- /code/branches/output/src/libraries/util/SubString.cc	(revision 8805)
+++ /code/branches/output/src/libraries/util/SubString.cc	(revision 8806)
@@ -513,8 +513,8 @@
     void SubString::debug() const
     {
-        orxout() << "Substring-information::count=" << this->tokens_.size() << " ::";
+        orxout(debug_output) << "Substring-information::count=" << this->tokens_.size() << " ::";
         for (unsigned int i = 0; i < this->tokens_.size(); ++i)
-            orxout() << "s" << i << "='" << this->tokens_[i].c_str() << "'::";
-        orxout() << endl;
+            orxout(debug_output) << "s" << i << "='" << this->tokens_[i].c_str() << "'::";
+        orxout(debug_output) << endl;
     }
 }
Index: /code/branches/output/src/libraries/util/output/OutputDefinitions.h
===================================================================
--- /code/branches/output/src/libraries/util/output/OutputDefinitions.h	(revision 8805)
+++ /code/branches/output/src/libraries/util/output/OutputDefinitions.h	(revision 8806)
@@ -88,4 +88,7 @@
             REGISTER_OUTPUT_CONTEXT(events);
             REGISTER_OUTPUT_CONTEXT(config);
+            REGISTER_OUTPUT_CONTEXT(templates);
+            REGISTER_OUTPUT_CONTEXT(loader);
+            REGISTER_OUTPUT_CONTEXT(xml);
         }
     }
